[@rxap/forms](../wiki/globals) / mergeControlValidators

# Function: mergeControlValidators()

> **mergeControlValidators**\<`T`, `Control`\>(`control`, `validators`): `void`

Defined in: [packages/angular/forms/src/lib/control-actions.ts:122](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/forms/src/lib/control-actions.ts#L122)

## Type Parameters

• **T**

• **Control** *extends* [`AbstractControl`](../wiki/Interface.AbstractControl)\<`T`\>

## Parameters

### control

`Control`

### validators

[`ValidatorFn`](../wiki/TypeAlias.ValidatorFn)\<`T`\> | [`ValidatorFn`](../wiki/TypeAlias.ValidatorFn)\<`T`\>[]

## Returns

`void`
